Bug 187542 - CVE-2006-1546 Struts multiple issues (CVE-2006-1547, CVE-2006-1548)
CVE-2006-1546 Struts multiple issues (CVE-2006-1547, CVE-2006-1548)
Status: CLOSED ERRATA
Product: Red Hat Application Server
Classification: Retired
Component: struts (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
public=20060322,reported=20060323,sou...
: Security
Depends On:
Blocks: CVE-2006-1546 CVE-2006-1548
  Show dependency treegraph
 
Reported: 2006-03-31 15:26 EST by Josh Bressers
Modified: 2008-01-28 11:34 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0281
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 11:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-03-31 15:26:04 EST
Struts 1.2.9 has been released wich fixes 3 security issues.

* CVE-2006-1546 Validation always skipped with Globals.CANCEL_KEY.
* CVE-2006-1547 DOS attack, application hack.
* CVE-2006-1548 XSS vulnerability in LookupDispatchAction.

http://struts.apache.org/struts-doc-1.2.9/userGuide/release-notes.html

This issue should also affect RHAPS1
Comment 3 Red Hat Bugzilla 2006-05-03 11:41:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0281.html

Note You need to log in before you can comment on or make changes to this bug.